---
title: AudioBuffer()
slug: Web/API/AudioBuffer/AudioBuffer
tags:
  - API
  - Audio
  - AudioBuffer
  - Buffer
  - Constructor
  - Media
  - Reference
  - Web Audio
  - Web Audio API
  - sound
---
<p>{{APIRef("Web Audio API")}}</p>

<p><span class="seoSummary">The <strong><code>AudioBuffer</code></strong> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("AudioBuffer")}} object.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var audioBuffer = new AudioBuffer(options);
</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the </em><em>{{domxref("AudioNodeOptions")}} dictionary</em>.</p>

<dl>
 <dt><code>options</code></dt>
 <dd>Options are as follows:
 <ul>
  <li><code>length</code>: The size of the audio buffer in sample-frames. To determine the <code>length</code> to use for a specific number of seconds of audio, use <code>numSeconds * sampleRate</code>.</li>
  <li><code>numberOfChannels</code>: The number of channels for the buffer. The default is 1, and all user agents are required to support at least 32 channels.</li>
  <li><code>sampleRate</code>: The sample rate in Hz for the buffer. The default is the sample rate of the <code>context</code> used in constructing this object. User agents are required to support sample rates from 8,000 Hz to 96,000 Hz (but are allowed to go farther outside this range).</li>
 </ul>
 </dd>
</dl>

<h4 id="Deprecated_parameters">Deprecated parameters</h4>

<dl>
 <dt><code>context</code><em> </em>{{obsolete_inline("")}}</dt>
 <dd>A reference to an {{domxref("AudioContext")}}. This parameter was removed from the spec.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("AudioBuffer")}} object instance.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>NotSupportedError</code></dt>
 <dd>One or more of the options are negative or otherwise has an invalid value (such as <code>numberOfChannels</code> being higher than supported, or a <code>sampleRate</code> outside the nominal range).</dd>
 <dt><code>RangeError</code></dt>
 <dd>There isn't enough memory available to allocate the buffer.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#AudioBuffer','AudioBuffer')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.AudioBuffer.AudioBuffer")}}</p>
</div>
